# h5netcdf.Variable

class h5netcdf.Variable(parent, name, dimensions=None)
  __init__(parent, name, dimensions=None)

  Methods

  `__init__`(parent, name[, dimensions]) |

  Attributes

  `attrs` | Return variable attributes.
  `chunks` |
  `compression` |
  `compression_opts` |
  `datatype` | Return datatype.
  `dimensions` | Return variable dimension names.
  `dtype` | Return NumPy dtype giving object’s dtype.
  `fletcher32` |
  `name` | Return variable name.
  `ndim` | Return number of variable dimensions.
  `shape` | Return current sizes of all variable dimensions.
  `shuffle` |

  property chunks
  property compression
  property compression_opts
  property fletcher32
  property shuffle